Upstream information

CVE-2009-3640 at MITRE

Description

The update_cr8_intercept function in arch/x86/kvm/x86.c in the KVM subsystem in the Linux kernel before 2.6.32-rc1 does not properly handle the absence of an Advanced Programmable Interrupt Controller (APIC), which allows local users to cause a denial of service (NULL pointer dereference and system crash) or possibly gain privileges via a call to the kvm_vcpu_ioctl function.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.9
Vector AV:L/AC:L/Au:N/C:N/I:N/A:C
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Complete
SUSE Bugzilla entry: 549487 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11
  • kvm >= 78.0.10.6-0.3.1
  • kvm-kmp-default >= 78.2.6.30.1_2.6.27.37_0.1-0.7.1
  • kvm-kmp-pae >= 78.2.6.30.1_2.6.27.37_0.1-0.7.1
Patchnames:
slessp0-kvm
SUSE Linux Enterprise Server for SAP Applications 11
  • kvm >= 78.0.10.6-0.3.1
  • kvm-kmp-default >= 78.2.6.30.1_2.6.27.37_0.1-0.7.1
  • kvm-kmp-pae >= 78.2.6.30.1_2.6.27.37_0.1-0.7.1
Patchnames:
slessp0-kvm
openSUSE 11.0
  • kvm-debuginfo >= 78.0.10.6-0.1
  • kvm-debugsource >= 78.0.10.6-0.1
openSUSE 11.0
  • kvm >= 78.0.10.6-0.1
  • kvm-kmp-default >= 78.2.6.30.1_2.6.25.20_0.5-0.1
  • kvm-kmp-pae >= 78.2.6.30.1_2.6.25.20_0.5-0.1
openSUSE 11.1
  • kvm-debuginfo >= 78.0.10.6-0.1.1
  • kvm-debugsource >= 78.0.10.6-0.1.1
openSUSE 11.1
  • kvm >= 78.0.10.6-0.1.1
  • kvm-kmp-default >= 78.2.6.30.1_2.6.27.37_0.1-0.1.1
  • kvm-kmp-pae >= 78.2.6.30.1_2.6.27.37_0.1-0.1.1
  • kvm-kmp-trace >= 78.2.6.30.1_2.6.27.37_0.1-0.1.1
SUSE Linux Enterprise Desktop 11 GA
SUSE Linux Enterprise Server 11 GA
  • kvm >= 78.0.10.6-0.3.1
  • kvm-kmp-default >= 78.2.6.30.1_2.6.27.37_0.1-0.7.1
  • kvm-kmp-pae >= 78.2.6.30.1_2.6.27.37_0.1-0.7.1
sled11.x86-64
sle11-debuginfo.x86-64
sle11-debuginfo.ia64
sles11.x86-64
sles11.x86
sled11.x86
sle11-debuginfo.x86
sles11.ia64
SAT Patch Nr: 1553
SUSE Linux Enterprise Desktop 11 GA
SUSE Linux Enterprise Server 11 GA
  • kvm >= 78.0.10.6-0.3.1
  • kvm-kmp-default >= 78.2.6.30.1_2.6.27.37_0.1-0.7.1
sled11.x86-64
sle11-debuginfo.x86-64
sle11-debuginfo.ia64
sles11.x86-64
sles11.x86
sled11.x86
sle11-debuginfo.x86
sles11.ia64
SAT Patch Nr: 1553